<?php 
	
add_action('admin_menu', 'wcc_item_menu');

function wcc_item_menu() {
	add_options_page(   __('Chat Code', 'wcc'), __('Chat Code', 'wcc'), 'edit_published_posts', 'wcc_config', 'wcc_config');
}

function wcc_config(){
	$config_big = array(

		array(
			'name' => 'activate_code',
			'type' => 'checkbox',
			'title' => 'Turn On',
			'text' => 'Insert script in header section',
			'sub_text' => '',
			'style' => ''
		),
		
	);

?>
<div class="wrap tw-bs">
<h2><?php _e('Settings', 'sc'); ?></h2>
<hr/>
 <?php if(  wp_verify_nonce($_POST['_wpnonce']) ): ?>
  <div id="message" class="updated" ><?php _e('Settings saved successfully', 'sc'); ?></div>  
  <?php 
  $config = get_option('wcc_options'); 

	foreach( $_POST as $key=>$value ){
		$wcc_options[$key] = sanitize_text_field( $value );
	}
  update_option('wcc_options', $wcc_options );
  ?>
  <?php else:  ?>

  <?php //exit; ?>
  
  <?php endif; ?> 
<form class="form-horizontal" method="post" action="">
<?php wp_nonce_field();  
$config = get_option('wcc_options'); 

//var_dump( $config );
?>  
<fieldset>

	<?php 
	foreach( $config_big as $key=>$value ){
		switch( $value['type'] ){
			case "text":
				$out .= '
				<div class="control-group">  
					<label class="control-label" for="'.$value['id'].'">'.$value['title'].'</label>  
					<div class="controls">  
					  <input type="text"  class="'.$value['class'].'"  name="'.$value['name'].'" id="'.$value['id'].'" placeholder="'.$value['placeholder'].'" value="'.esc_html( stripslashes( $config[$value['name']] ) ).'">  
					  <p class="help-block">'.$value['sub_text'].'</p>  
					</div>  
				  </div> 
				';
			break;
			case "select":
				$out .= '
				<div class="control-group">  
					<label class="control-label" for="'.$value['id'].'">'.$value['title'].'</label>  
					<div class="controls">  
					  <select  style="'.$value['style'].'" class="'.$value['class'].'" name="'.$value['name'].'" id="'.$value['id'].'">' ; 
					  foreach( $value['value'] as $k => $v ){
						  $out .= '<option value="'.$k.'" '.( $config[$value['name']]  == $k ? ' selected ' : ' ' ).' >'.$v.'</option> ';
					  }
				$out .= '		
					  </select>  
					  <p class="help-block">'.$value['sub_text'].'</p> 
					</div>  
				  </div>  
				';
			break;
			case "checkbox":
				$out .= '
				<div class="control-group">  
					<label class="control-label" for="'.$value['id'].'">'.$value['title'].'</label>  
					<div class="controls">  
					  <label class="checkbox">  
						<input  class="'.$value['class'].'" type="checkbox" name="'.$value['name'].'" id="'.$value['id'].'" value="on" '.( $config[$value['name']] == 'on' ? ' checked ' : '' ).' > &nbsp; 
						'.$value['text'].'  
						<p class="help-block">'.$value['sub_text'].'</p> 
					  </label>  
					</div>  
				  </div>  
				';
			break;
			case "radio":
				$out .= '
				<div class="control-group">  
					<label class="control-label" for="'.$value['id'].'">'.$value['title'].'</label>  
					<div class="controls">';
						foreach( $value['value'] as $k => $v ){
							$out .= '
							<label class="radio">  
								<input  class="'.$value['class'].'" type="radio" name="'.$value['name'].'" id="'.$value['id'].'" value="'.$k.'" '.( $config[$value['name']] == $k ? ' checked ' : '' ).' >&nbsp;  
								'.$v.'  
								<p class="help-block">'.$value['sub_text'].'</p> 
							  </label> ';
						}
					$out .= '
					   
					</div>  
				  </div>  
				';
			break;
			case "textarea":
				$out .= '
				<div class="control-group">  
					<label class="control-label" for="'.$value['id'].'">'.$value['title'].'</label>  
					<div class="controls">  
					  <textarea style="'.$value['style'].'" class="'.$value['class'].'" name="'.$value['name'].'" id="'.$value['id'].'" rows="'.$value['rows'].'">'.esc_html( stripslashes( $config[$value['name']] ) ).'</textarea>  
					  <p class="help-block">'.$value['sub_text'].'</p> 
					</div>  
				  </div> 
				';
			break;
			case "multiselect":
				$out .= '
				<div class="control-group">  
					<label class="control-label" for="'.$value['id'].'">'.$value['title'].'</label>  
					<div class="controls">  
					  <select  multiple="multiple" style="'.$value['style'].'" class="'.$value['class'].'" name="'.$value['name'].'[]" id="'.$value['id'].'">' ; 
					  foreach( $value['value'] as $k => $v ){
						  $out .= '<option value="'.$k.'" '.( @in_array( $k, $config[$value['name']] )   ? ' selected ' : ' ' ).' >'.$v.'</option> ';
					  }
				$out .= '		
					  </select>  
					  <p class="help-block">'.$value['sub_text'].'</p> 
					</div>  
				  </div>  
				';
			break;
		}
	}
	echo $out;
	?>

		
          <div class="form-actions">  
            <button type="submit" class="btn btn-primary">Save Settings</button>  
          </div>  
        </fieldset>  

</form>

</div>


<?php 
}
?>